Skip to main content
POST
Follow Authority

Authorizations

Authorization
string
header
required

Owner-scoped Pro API key

Headers

Idempotency-Key
string
required

Persist this key with the exact request payload and reuse both after a timeout or confirmation; a changed payload conflicts.

Required string length: 8 - 128
Pattern: ^[-._:a-zA-Z0-9]{8,128}$

Path Parameters

id
string<uuid>
required

Body

application/json
usdot
string
required
Pattern: ^[0-9]{1,16}$
docket_number
string
required
Required string length: 1 - 64
authority_type
string
required
Required string length: 1 - 160
authority_record_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Authorized operation result

data
any
required
meta
object
required
next_cursor
string